/*
 * $Source: /usr/local/cvsroot/erserver/erserver/java/src/com/postgres/replic/server/props/AbstractProperties.java,v $
 * $Author: asullivan $ $Revision: 1.1.1.1 $ $Date: 2003/08/26 19:02:22 $
 *
 */

package com.postgres.replic.server.props;

import com.postgres.util.config.*;
import com.postgres.util.Logger.*;

public class AbstractProperties {

    public static final int T_NO = -1;

    private ConfiguratorIntf config ;
    private boolean debug;

    public boolean getDebug() throws Exception {
        return debug;
    }

    public void setDebug(boolean debug)  {
        this.debug = debug;
    }

    public AbstractProperties(ConfiguratorIntf config) throws Exception{
        if (config == null) {
            throw new Exception("AbstractProperties:: config may not be null!");
        }
        this.config = config;
    }

    public ConfiguratorIntf getConfigurator() {
        return config;
    }

    public Logger getLogger() {
         return LogRepl.getInstance();
    }
}
